> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Retrieve a config type by ID.

| Scope | Required |
| - | - |
| `config_types:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-10-29.yaml get /config_types/{config_type_id}
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-10-29.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-10-29.everglades
  x-git-commit:
    sha: fa872feb1c97431ace4e4f5636eea0856b5d73f3
    url: >-
      https://github.com/mirurobotics/openapi/commit/fa872feb1c97431ace4e4f5636eea0856b5d73f3
    message: >-
      feat(platform)!: name calibration components, roles and aspects by slug
      (#387)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-10-29T05:41:56.762337+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /config_types/{config_type_id}:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - Config Types
      summary: Get
      description: Retrieve a config type by ID.
      operationId: getConfigType
      parameters:
        - $ref: '#/components/parameters/config_type_id'
      responses:
        '200':
          description: Successfully retrieved the config type.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigType'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-10-29.everglades
      description: The API version the client was built against.
    config_type_id:
      name: config_type_id
      in: path
      required: true
      description: The unique identifier of the config type.
      schema:
        type: string
        example: cfg_typ_123
  schemas:
    ConfigType:
      allOf:
        - $ref: '#/components/schemas/BaseConfigType'
      example:
        object: config_type
        id: cfg_typ_123
        name: Motion Control
        slug: motion-control
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
        created_by_id: usr_123
        updated_by_id: usr_123
    BaseConfigType:
      title: Config Type
      type: object
      required:
        - object
        - id
        - name
        - slug
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - config_type
          example: config_type
          x-stainless-const: true
          description: The object type, which is always `config_type`.
        id:
          type: string
          example: cfg_123
          description: ID of the config type.
        name:
          type: string
          example: My Config Type
          description: Name of the config type.
        slug:
          type: string
          example: my-config-type
          description: An immutable, code-friendly name for the config type.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the config type was created.
        updated_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the config type was last updated.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.